
public class Class461_Sub3 extends Class461 {

   Class326 aClass326_7971 = new Class326();
   Class326 aClass326_7972 = new Class326(Float.NaN, Float.NaN, Float.NaN);
   Interface6 anInterface6_7973;
   Class326 aClass326_7974 = new Class326(Float.NaN, Float.NaN, Float.NaN);
   boolean aBool7975;
   Class326 aClass326_7976 = new Class326();


   public void method7773(RS2Buffer var1, int var2) {
      Class48 var3 = Class338.method6230(var1.readUnsignedByte(-700559597), (byte)-68);
      int var4 = var1.readUnsignedShort(-937710807);
      this.anInterface6_7973 = this.aClass35_5731.method881((byte)-13).method2(var3, var4, (byte)97);
      this.aClass326_7971.method5872(var1);
      if(var1.readUnsignedByte(-700559597) == 1) {
         this.aBool7975 = true;
      } else {
         this.aBool7975 = false;
      }

   }

   public void method7772(float var1, byte var2) {
      if(null != this.anInterface6_7973) {
         this.aClass326_7972.method5894(this.anInterface6_7973.method21((byte)-114).method13977(-291349157));
         this.aClass35_5731.method884(false, var1, this.aClass326_7974, this.aClass35_5731.method988(-662998156), this.aClass326_7972, this.aClass326_7976, -1114716378);
      }
   }

   public void method12795(Interface6 var1, Class326 var2, boolean var3) {
      this.anInterface6_7973 = var1;
      this.aClass326_7971.method5894(var2);
      this.aBool7975 = var3;
      var1.method21((byte)-105);
   }

   public boolean method7770(byte var1) {
      boolean var10000;
      if(!Float.isNaN(this.aClass326_7974.aFloat4036)) {
         if(var1 <= 100) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      return var10000;
   }

   public void method7775(Class31 var1, Class328 var2, int var3, int var4, byte var5) {
      Class326 var6 = Class326.method5922(this.aClass35_5731.method915((byte)-91));
      var6.aFloat4036 -= (float)var3;
      var6.aFloat4033 -= (float)var4;
      var6.aFloat4037 *= -1.0F;
      Class326 var7 = this.method7771(243128136);
      var7.aFloat4036 -= (float)var3;
      var7.aFloat4033 -= (float)var4;
      var7.aFloat4037 *= -1.0F;
      var2.method5992(var6.aFloat4036, var6.aFloat4037, var6.aFloat4033, var7.aFloat4036, var7.aFloat4037, var7.aFloat4033, 0.0F, 1.0F, 0.0F);
      var6.method5948();
      var7.method5948();
   }

   public Class326 method7771(int var1) {
      Class326 var2 = Class326.method5922(this.aClass326_7974);
      Class326 var3 = Class326.method5922(this.aClass326_7971);
      if(this.aBool7975) {
         var3.method5871(this.anInterface6_7973.method22(-706683947));
      }

      var2.method5879(var3);
      var3.method5948();
      return var2;
   }

   public Class326 method12796(int var1) {
      return this.aClass326_7974;
   }

   public void method7777(Class31 var1, Class328 var2, int var3, int var4) {
      Class326 var5 = Class326.method5922(this.aClass35_5731.method915((byte)-34));
      var5.aFloat4036 -= (float)var3;
      var5.aFloat4033 -= (float)var4;
      var5.aFloat4037 *= -1.0F;
      Class326 var6 = this.method7771(243128136);
      var6.aFloat4036 -= (float)var3;
      var6.aFloat4033 -= (float)var4;
      var6.aFloat4037 *= -1.0F;
      var2.method5992(var5.aFloat4036, var5.aFloat4037, var5.aFloat4033, var6.aFloat4036, var6.aFloat4037, var6.aFloat4033, 0.0F, 1.0F, 0.0F);
      var5.method5948();
      var6.method5948();
   }

   public void method7774(float var1) {
      if(null != this.anInterface6_7973) {
         this.aClass326_7972.method5894(this.anInterface6_7973.method21((byte)-57).method13977(-405216419));
         this.aClass35_5731.method884(false, var1, this.aClass326_7974, this.aClass35_5731.method988(228616230), this.aClass326_7972, this.aClass326_7976, -1114716378);
      }
   }

   public void method7768(Class31 var1, Class328 var2, int var3, int var4) {
      Class326 var5 = Class326.method5922(this.aClass35_5731.method915((byte)1));
      var5.aFloat4036 -= (float)var3;
      var5.aFloat4033 -= (float)var4;
      var5.aFloat4037 *= -1.0F;
      Class326 var6 = this.method7771(243128136);
      var6.aFloat4036 -= (float)var3;
      var6.aFloat4033 -= (float)var4;
      var6.aFloat4037 *= -1.0F;
      var2.method5992(var5.aFloat4036, var5.aFloat4037, var5.aFloat4033, var6.aFloat4036, var6.aFloat4037, var6.aFloat4033, 0.0F, 1.0F, 0.0F);
      var5.method5948();
      var6.method5948();
   }

   public Class326 method7776() {
      Class326 var1 = Class326.method5922(this.aClass326_7974);
      Class326 var2 = Class326.method5922(this.aClass326_7971);
      if(this.aBool7975) {
         var2.method5871(this.anInterface6_7973.method22(-212920207));
      }

      var1.method5879(var2);
      var2.method5948();
      return var1;
   }

   public Class326 method12797() {
      return this.aClass326_7974;
   }

   public Class326 method7778() {
      Class326 var1 = Class326.method5922(this.aClass326_7974);
      Class326 var2 = Class326.method5922(this.aClass326_7971);
      if(this.aBool7975) {
         var2.method5871(this.anInterface6_7973.method22(-635686719));
      }

      var1.method5879(var2);
      var2.method5948();
      return var1;
   }

   public Class326 method7779() {
      Class326 var1 = Class326.method5922(this.aClass326_7974);
      Class326 var2 = Class326.method5922(this.aClass326_7971);
      if(this.aBool7975) {
         var2.method5871(this.anInterface6_7973.method22(-1974035438));
      }

      var1.method5879(var2);
      var2.method5948();
      return var1;
   }

   public Class326 method7780() {
      Class326 var1 = Class326.method5922(this.aClass326_7974);
      Class326 var2 = Class326.method5922(this.aClass326_7971);
      if(this.aBool7975) {
         var2.method5871(this.anInterface6_7973.method22(-1171750757));
      }

      var1.method5879(var2);
      var2.method5948();
      return var1;
   }

   public Class461_Sub3(Class35 var1) {
      super(var1);
   }

   public void method7781(RS2Buffer var1) {
      Class48 var2 = Class338.method6230(var1.readUnsignedByte(-700559597), (byte)-69);
      int var3 = var1.readUnsignedShort(-937710807);
      this.anInterface6_7973 = this.aClass35_5731.method881((byte)-117).method2(var2, var3, (byte)86);
      this.aClass326_7971.method5872(var1);
      if(var1.readUnsignedByte(-700559597) == 1) {
         this.aBool7975 = true;
      } else {
         this.aBool7975 = false;
      }

   }

   public boolean method7769() {
      return !Float.isNaN(this.aClass326_7974.aFloat4036);
   }

   public void method12798(Interface6 var1, Class326 var2, boolean var3) {
      this.anInterface6_7973 = var1;
      this.aClass326_7971.method5894(var2);
      this.aBool7975 = var3;
      var1.method21((byte)-55);
   }

   public Class326 method12799() {
      return this.aClass326_7974;
   }

   public void method12800(Interface6 var1, Class326 var2, boolean var3, int var4) {
      this.anInterface6_7973 = var1;
      this.aClass326_7971.method5894(var2);
      this.aBool7975 = var3;
      var1.method21((byte)-5);
   }

   public Class326 method12801() {
      return this.aClass326_7974;
   }

   static final void method12802(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub12_8497.method12897(38031978);
   }
}
